# 데이터 수집 엔진을 불러옵니다 (engine.py에 있는 DataCollectionEngine 클래스 사용)
from engine import DataCollectionEngine

# 프로그램의 시작 지점을 정의하는 함수
def main():
    # 사용자에게 종목 코드를 입력받습니다 (예: AAPL, TSLA 등)
    # 입력값에서 양쪽 공백을 제거하고 대문자로 변환합니다
    symbol = input("조회할 주식 종목 코드를 입력하세요 (예: AAPL, TSLA): ").strip().upper()

    # 사용자에게 수집할 시작 날짜를 입력받습니다 (형식: 2024-01-01)
    start = input("시작 날짜를 입력하세요 (YYYY-MM-DD): ").strip()

    # 사용자에게 수집할 종료 날짜를 입력받습니다 (형식: 2024-12-31)
    end = input("종료 날짜를 입력하세요 (YYYY-MM-DD): ").strip()

    # 데이터 수집 엔진 객체를 생성합니다
    engine = DataCollectionEngine()

    # 입력받은 종목, 날짜에 따라 데이터를 수집하고 저장합니다
    engine.collect(symbol, start, end)

# 이 파일이 직접 실행되었을 때만 main() 함수를 실행합니다
# (다른 파일에서 이 파일을 import 하면 실행되지 않도록 하기 위함)
if __name__ == "__main__":
    main()
